//+------------------------------------------------------------------+
//|                                                         .mq4 |
//|                        Copyright 2013, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "pinbar"
#property link      "http://www.metaquotes.net"
#include <WinUser32.mqh>
//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
#import "user32.dll"
   int GetForegroundWindow();
#import

int init() {
   GetForegroundWindow();
   return (0);
}

int start()
  {
//----
   string str_unused;
   int int_ticket;
   int int_error;
   int int_ord_close;
   double dbl_price;
   int int_cmd;
   int wh = WindowHandle(Symbol(), Period());
   string str_sa[1] = {""};
   GetWindowTextA(wh, str_sa[0], 20);
   if (str_sa[0] == "B") {
      SetWindowTextA(wh, "0");
      if (OrderSelect(0, SELECT_BY_POS, MODE_TRADES) == FALSE) {
         int_ticket = OrderSend(Symbol(), OP_BUY, 1.0, Ask, 3, 0, 0, "expert comment", 255, 0, CLR_NONE);
         if (int_ticket < 1) {
            int_error = GetLastError();
            return (int_error);
         }
         OrderPrint();
      }
   } else {
      if (str_sa[0] == "S") {
         SetWindowTextA(wh, "0");
         if (OrderSelect(0, SELECT_BY_POS, MODE_TRADES) == FALSE) {
            int_ticket = OrderSend(Symbol(), OP_SELL, 1.0, Bid, 3, 0, 0, "expert comment", 255, 0, CLR_NONE);
            if (int_ticket < 1) {
               int_error = GetLastError();
               return (int_error);
            }
            OrderPrint();
         }
      } else {
         if (str_sa[0] == "C") {
            SetWindowTextA(wh, "0");
            if (OrderSelect(0, SELECT_BY_POS, MODE_TRADES)) {
               int_cmd = OrderType();
               if (int_cmd == OP_BUY || int_cmd == OP_SELL) {
                  while (true) {
                     if (int_cmd == OP_BUY) dbl_price = Bid;
                     else dbl_price = Ask;
                     int_ord_close = OrderClose(OrderTicket(), OrderLots(), dbl_price, 3, CLR_NONE);
                     if (int_ord_close != 1) {
                        int_error = GetLastError();
                        Print("LastError = ", int_error);
                     } else int_error = 0;
                     if (int_error != 135/* PRICE_CHANGED */) break;
                     RefreshRates();
                  }
               }
            } else Print("Error when order select ", GetLastError());
         }
      }
   
   }
   
   
   
//----
   return(0);
  }
  
  
  int ObjectMakeLabel(string s_name, int x, int y) {
   ObjectCreate(s_name, OBJ_LABEL, 0, 0, 0);
   ObjectSet(s_name, OBJPROP_CORNER, 3);
   ObjectSet(s_name, OBJPROP_XDISTANCE, x);
   ObjectSet(s_name, OBJPROP_YDISTANCE, y);
   ObjectSet(s_name, OBJPROP_BACK, TRUE);
   return (0);
}

//+------------------------------------------------------------------+